------------------------------------------------------------------------------------
--Name：            20220429[简体征服][活动脚本]全球儿童节剧情
--Creator:      蔡颖静
--Created:     2022-04-29
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>277
--/reloadlua Script/ChildrenDay/2022/YoungDragon.lua
--/reloadlua Script/LuaScriptMgr.lua
--CppScriptMgr:SetCanUseEsc(1)
--4565 召Dragon Whelplookface4511 召唤台lookface

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetCanUseEsc(1)
CppScriptMgr:SetViewPosByCell(168,145)

CppScriptMgr:SetLightScreen(2000);
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)
 CppScriptMgr:WaitMilSec(500)
--召唤台
local player1 = CppScriptMgr:AddSimplePlayer(45110,168,145,"",4003000024,1)
player1:SetZoomPercent(150)
player1:AddEffect("accession",168,145)
CppScriptMgr:WaitMilSec(2000)
--幼龙
local player2 = CppScriptMgr:AddSimplePlayer(1059990,168,145,"Hungry Dragon (Abyss)",4003000025,1)
 CppScriptMgr:WaitMilSec(3000)
